summaryrefslogtreecommitdiffstats
path: root/repo-mutate.sh
diff options
context:
space:
mode:
Diffstat (limited to 'repo-mutate.sh')
-rw-r--r--repo-mutate.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/repo-mutate.sh b/repo-mutate.sh
index e35424f..f2f90dd 100644
--- a/repo-mutate.sh
+++ b/repo-mutate.sh
@@ -123,3 +123,20 @@ function systr_repo_set_reference
ssh "$remote" "systrunk set-ref \"$symref\" \"$commit\""
fi
}
+
+##
+# systr_repo_tag <name>
+#
+# Tag the current commit. This creates a new branch which references
+# BASE.
+##
+function systr_repo_tag
+{
+ if [ $# -lt 1 ]; then
+ echo "Fatal: too few arguments to systr_repo_tag"
+ exit 1
+ fi
+
+ name="$1"
+ systr_repo_set_reference "$name" "$BASE"
+}